Subject: bug#54331: closed (Re: bug#54331: 27.2; Closing frames loaded from desktop-read)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Mar 2022 06:08:02 +0000

Your bug report

#54331: 27.2; Closing frames loaded from desktop-read 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54331: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54331
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54331: 27.2; Closing frames loaded from desktop-read
From: Eli Zaretskii <[email-masked]>
To: Rehan Deen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 13 Mar 2022 08:06:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Rehan Deen <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> Date: Sun, 13 Mar 2022 11:25:40 +0530
> 
> Hi, sorry, was hoping that someone else would add their input regarding
> the closing frame behavior but I am happy to close this.
> 
> If anyone else comes across this issue, I guess I would suggest
> remapping `C-x 5 0` to a more convenient keybinding.

Thanks, I'm therefore closing this bug.

Subject: 27.2; Closing frames loaded from desktop-read
From: Rehan Deen <[email-masked]>
To: [email-masked]
Date: Fri, 11 Mar 2022 00:13:23 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

A very annoying issue with `desktop-save` and `desktop-read` that I'm encountering at the moment:

- I'm starting Emacs in `daemon-mode`, and then open a client frame via
  my WM shortcut for `emacsclient -c`. I do `desktop-read` and my saved desktop opens with the 10 or so frames I had saved.

- When I go to one of the frames with a buffer I'm no longer interested in, and do `C-x C-c`, I end up not just closing that particular frame, but **all 10 or so of the frames that were open**.

- The Emacs daemon is still running, and opening another client frame shows that the buffers haven't been killed, so nothing has been lost per se - it's just that the arrangement of all the frames I had is just ruined.

Any idea how to stop this behaviour (i.e. being able to just kill one frame from the saved configuration)? 

I have also played around with these settings

```
  (setq desktop-restore-frames t)
  (setq desktop-restore-in-current-display nil)
  (setq desktop-restore-forces-onscreen nil)

```

but the issue persists.